# **GitWiz** ![Status](https://img.shields.io/badge/status-active-success) ![License](https://img.shields.io/badge/license-Apache2.0-blue)

## **Table of Contents**
- [Description](#description)
- [Features](#features)
- [Installation](#installation)
- [Usage](#usage)
- [License](#license)
- [Contributing](#contributing)
- [Contact](#contact)

---

## **Description**
GitWiz is a command-line tool designed to simplify Git operations and automate README generation. It integrates **AI-powered README generation** using **Mistral AI** and **DeepSeek** models, along with additional Git automation features.

Whether you need to generate a structured **README** file with AI assistance or streamline Git workflows, **GitWiz** makes it effortless.

---

## **Features**
- 📜 **AI-generated README** – Automatically create structured README files.  
- 🛠️ **Manual input mode** – Customize README content manually.  
- ⚡ **Git automation** – Automate repository management with GitPython.  
- 🎨 **CLI Formatting** – Uses **colorama** and **pyfiglet** for a stylish terminal experience.  
- 🔍 **License Selection** – Supports multiple open-source licenses.  
- ✅ **Easy Installation** – Simple setup and installation.  

---

## **Installation**
### **Prerequisites**
- **Python 3.7+** installed  
- **pip** (Python package manager)  
- **Git installed** on your system  

### **Install via pip**
```bash
pip install GitWiz
```
## **Install from source**
```bash
git clone https://github.com/yourusername/GitWiz.git
cd GitWiz
pip install .
```
---
## **Usage**
After installing GitEase, you can run it from the command line.
```bash
gitwiz
```
after that give repository link of your project and then choose command to use.
commands will be prompted after getting repo link.

### **For help**
```bash
help
```
or 
```bash
help <command name>
```
## **License**
This project is licensed under the Apache-2.0 License.
See the [LICENSE](LICENSE) file for more details.
---
## **Contributing**
Contributions are welcome! 🚀

To contribute:

    1)Fork the repository.

    2)Create a new branch.

    3)Commit changes.

    4)Push to the branch.

    5)Create a Pull Request.
---
## **contact**
For any queries, feel free to reach out!

🔗 GitHub: [Github](https://github.com/ajinkya-25)

---
### This file is generated by ai using the readme generator function in gitease package and modified a bit later. 
